Subject: Re: [patch 12/12] Configure out ethtool support

From: Matt Mackall <[email-masked]>
Date: Thu, 31 Jul 2008 11:11:06 -0500

On Thu, 2008-07-31 at 08:59 -0700, Stephen Hemminger wrote:
> I have no problem with an embedded CONFIG_ETHTOOL that normal users
> can ignore. Just don't expect the network developers to fix things
> that are broken when CONFIG_ETHTOOL is not enabled. I.e if embedded
> build is broken it is your problem.

menuconfig EMBEDDED
        bool "Configure standard kernel features (for small systems)"
        help
          This option allows certain base kernel options and settings
          to be disabled or tweaked. This is for specialized
          environments which can tolerate a "non-standard" kernel.
          Only use this if you really know what you are doing.

If you think that disclaimer needs to be bigger, let me know.

-- 
Mathematics is the supreme nostalgia of our time.